apiVersion: apps/v1
kind: Deployment
metadata:
  name: ucsdshiny-deployment
  labels:
    app: ucsdshiny
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ucsdshiny
  template:
    metadata:
      labels:
        app: ucsdshiny
    spec:
      containers:
      - name: ucsdshiny
        image: registry.gitlab.com/ucsdlibrary/development/ucsd-shiny
        imagePullPolicy: Always
        ports:
        - containerPort: 3838
        volumeMounts:
        - mountPath: "/srv/shiny-server"
          name: mypd
      volumes:
      - name: mypd
        nfs:
          server: uss-library.sdsc.edu
          path: /shiny # The exported directory
---
apiVersion: v1
kind: Service
metadata:
  name: ucsdshiny-service
spec:
  selector:
    app: ucsdshiny
  type: LoadBalancer
  ports:
    - protocol: TCP
      port: 3838
      targetPort: 3838 # This needs to match the containerPort above
      nodePort: 30000 # External port
